Package org.eclipse.emf.compare.ide.ui.internal.logical

# Class EMFModelResourceTester

java.lang.Object
org.eclipse.core.expressions.PropertyTester
org.eclipse.emf.compare.ide.ui.internal.logical.EMFModelResourceTester

All Implemented Interfaces:
  `org.eclipse.core.expressions.IPropertyTester`

public class EMFModelResourceTester extends org.eclipse.core.expressions.PropertyTester
Property tester specifying whether an `IFile` should be treated as EMF model resource and hence should be handled by EMF Compare.

This tester takes into account all extensions registered via `org.eclipse.emf.compare.ide.modelInclusionTester` to determine whether a given resource should be treated as EMF model resource and returns `true` if any of the registered `modelInclusionTexter` extensions specify that a file should be treated as EMF model resource.

## Constructor Summary

Constructors
Constructor
Description
`EMFModelResourceTester()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(Object receiver, String property, Object[] args, Object expectedValue)`

### Methods inherited from class org.eclipse.core.expressions.PropertyTester

`handles, instantiate, internalCreateDescriptor, internalInitialize, isDeclaringPluginActive, isInstantiated`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EMFModelResourceTester

public EMFModelResourceTester()

## Method Details

### test

public boolean test(Object receiver, String property, Object[] args, Object expectedValue)